Bug 214437 - Bad: Kernel Soruce 2.6.18-1.2798
Bad: Kernel Soruce 2.6.18-1.2798
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 12:28 EST by Need Real Name
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 21:53:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NVIDIA Installer Logfile (2.29 KB, application/octet-stream)
2006-11-08 04:23 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2006-11-07 12:28:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1) Gecko/20061010 Firefox/2.0

Description of problem:

Compile Kernel Source do not work.

Version-Release number of selected component (if applicable):
kernel-devel-2.6.18-1.2798.fc5

How reproducible:
Always


Steps to Reproduce:
1.install kernel 2.6.18-1.2798
2.cd /usr/src/kernels/2.6.18-1.2798.fc6-i686
3.make or make clean or make mrproper

Actual Results:

[root@localhost 2.6.18-1.2798.fc6-i686]# make
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
make[1]: *** No rule to make target `init/main.o', needed by `init/built-in.o'.  Stop.
make: *** [init] Error 2


[root@localhost 2.6.18-1.2798.fc6-i686]# make clean
scripts/Makefile.clean:17: /usr/src/kernels/2.6.18-1.2798.fc6-i686/drivers/infiniband/ulp/srp/Makefile: No such file or directory
make[3]: *** No rule to make target `/usr/src/kernels/2.6.18-1.2798.fc6-i686/drivers/infiniband/ulp/srp/Makefile'.  Stop.
make[2]: *** [drivers/infiniband/ulp/srp] Error 2
make[1]: *** [drivers/infiniband] Error 2
make: *** [_clean_drivers] Error 2


[root@localhost 2.6.18-1.2798.fc6-i686]# make mrproper
scripts/Makefile.clean:17: /usr/src/kernels/2.6.18-1.2798.fc6-i686/drivers/infiniband/ulp/srp/Makefile: No such file or directory
make[3]: *** No rule to make target `/usr/src/kernels/2.6.18-1.2798.fc6-i686/drivers/infiniband/ulp/srp/Makefile'.  Stop.
make[2]: *** [drivers/infiniband/ulp/srp] Error 2
make[1]: *** [drivers/infiniband] Error 2
make: *** [_clean_drivers] Error 2



Expected Results:


Additional info:
Comment 1 Dave Jones 2006-11-07 21:53:32 EST
you're trying to compile kernel-devel, not the .srpm
Comment 2 Need Real Name 2006-11-08 04:23:19 EST
Created attachment 140640 [details]
NVIDIA Installer Logfile
Comment 3 Need Real Name 2006-11-08 04:24:55 EST
Yes i try it with kernel-devel not with SRPM

and then i found the problem in the kernel source

Note You need to log in before you can comment on or make changes to this bug.